This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894598 - Review Request: coin-or-DyLP - Implementation of the dynamic simplex algorithm
Review Request: coin-or-DyLP - Implementation of the dynamic simplex algorithm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 894585 894586
Blocks: 894609
  Show dependency treegraph
 
Reported: 2013-01-12 10:08 EST by Paulo Andrade
Modified: 2014-04-15 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: coin-or-Cgl-0.58.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-15 11:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 10:08:46 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP-1.8.3-3.fc19.src.rpm
Description: DyLP is an implementation of the dynamic simplex algorithm. Briefly, dynamic
simplex attempts to work with an active constraint system which is a subset
of the full constraint system. It alternates between primal and dual simplex
phases. Between simplex phases, it deactivates variables and constraints
which are not currently useful, and scans the full constraint system to
activate variables and constraints which have become useful.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:09:26 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 16:59:54 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP-1.8.3-4.fc19.src.rpm
Comment 3 Paulo Andrade 2013-11-01 18:07:40 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP-1.9.1-1.fc21.src.rpm
Comment 4 Paulo Andrade 2014-03-28 13:11:08 EDT
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-DyLP-1.9.4-1.fc21.src.rpm
Comment 5 Antonio Trande 2014-03-28 14:34:58 EDT
Directory /usr/include/coin owned by coin-or-CoinUtils-devel package; properly
listed.

Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 106 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894598-coin-or-DyLP/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     DyLP-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-DyLP-1.9.4-1.fc21.x86_64.rpm
          coin-or-DyLP-devel-1.9.4-1.fc21.x86_64.rpm
          coin-or-DyLP-doc-1.9.4-1.fc21.noarch.rpm
          coin-or-DyLP-1.9.4-1.fc21.src.rpm
coin-or-DyLP.x86_64: W: shared-lib-calls-exit /usr/lib64/libDylp.so.1.8.4 exit@GLIBC_2.2.5
coin-or-DyLP-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-DyLP-devel coin-or-DyLP-doc coin-or-DyLP
coin-or-DyLP-devel.x86_64: W: no-documentation
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 ceil
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 acos
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 pow
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 log10
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 sqrt
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDylp.so.1.8.4 floor
coin-or-DyLP.x86_64: W: shared-lib-calls-exit /usr/lib64/libDylp.so.1.8.4 exit@GLIBC_2.2.5
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 typeinfo for CoinPackedVectorBase
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 typeinfo for OsiSolverInterface
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getPointerToWarmStart(bool&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::isFreeBinary(int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getColType(bool) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getStrictColSolution()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getFractionalIndices(double) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setObjCoeffSet(int const*, int const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setColLower(double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setColUpper(double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setColSetBounds(int const*, int const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setRowSetBounds(int const*, int const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setRowSetTypes(int const*, int const*, char const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::reducedCostFix(double, bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setContinuous(int const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setInteger(int const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::dfltRowColName(char, int, unsigned int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getObjName(unsigned int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getRowName(int, unsigned int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getRowNames()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setRowNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::deleteRowNames(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getColName(int, unsigned int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::getColNames()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setColNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::deleteColNames(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addCol(CoinPackedVectorBase const&, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addCols(int, CoinPackedVectorBase const* const*, double const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addCols(int, int const*, int const*, double const*, double const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRow(CoinPackedVectorBase const&, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRow(CoinPackedVectorBase const&, char, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRow(int, int const*, double const*, double, double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRows(int, CoinPackedVectorBase const* const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRows(int, CoinPackedVectorBase const* const*, char const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::addRows(int, int const*, int const*, double const*, double const*, double const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::restoreBaseModel(int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::applyCuts(OsiCuts const&, double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::applyRowCuts(int, OsiRowCut const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::applyRowCuts(int, OsiRowCut const**)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::loadFromCoinModel(CoinModel&, bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::readGMPL(char const*, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::writeLp(char const*, char const*, double, int, int, double, bool) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::writeLp(_IO_FILE*, double, int, int, double, bool) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::readLp(char const*, double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::passInMessageHandler(CoinMessageHandler*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::findIntegersAndSOS(bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::enableSimplexInterface(bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::disableSimplexInterface()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::pivot(int, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::primalPivotResult(int, int, int&, int&, double&, CoinPackedVector*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::dualPivotResult(int&, int&, int, int, double&, CoinPackedVector*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 typeinfo for CoinWarmStartBasis
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 typeinfo for CoinWarmStartBasisDiff
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::~CoinWarmStartBasis()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::~CoinWarmStartBasis()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::generateDiff(CoinWarmStart const*) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::applyDiff(CoinWarmStartDiff const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::setSize(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::resize(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::compressRows(int, int const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::deleteRows(int, int const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::deleteColumns(int, int const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::mergeBasis(CoinWarmStartBasis const*, std::vector<CoinTriple<int, int, int>, std::allocator<CoinTriple<int, int, int> > > const*, std::vector<CoinTriple<int, int, int>, std::allocator<CoinTriple<int, int, int> > > const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::operator=(CoinWarmStartBasis const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::assignBasisStatus(int, int, char*&, char*&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::print() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::~CoinWarmStartBasisDiff()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::~CoinWarmStartBasisDiff()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::operator=(CoinWarmStartBasisDiff const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinError::printErrors_
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::~CoinMessages()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getRightHandSide() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::CoinWarmStartBasis(CoinWarmStartBasis const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::message(int, CoinMessages const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::operator=(CoinWarmStartBasis const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getObjCoefficients() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_dupsys
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setPrimalTolerance(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::CoinMessages(CoinMessages const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::~CoinWarmStartBasis()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 implied_free_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*, int&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_setlogchn
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_processcmds
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinIsnan(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiRowCut::lb() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getNumCols() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 remove_dual_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiRowCutDebugger::OsiRowCutDebugger(OsiSolverInterface const&, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::CoinPresolveMatrix(int, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 pkvec_new
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 drop_empty_rows_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_dumpstats
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::CoinMpsIO()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiRowCutDebugger::OsiRowCutDebugger(OsiSolverInterface const&, double const*, bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPostsolveMatrix::CoinPostsolveMatrix(int, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::operator<<(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getRowRange() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_create
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::stepColsToDo()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setRowName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 drop_empty_cols_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_free
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::OsiSolverInterface(OsiSolverInterface const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setInitialData()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setColSolution(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::getStatus()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::generateDiff(CoinWarmStart const*) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_closefile
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::operator=(CoinMessages const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setRowPrice(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 duprow_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dylp
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setStatus(CoinWarmStartBasis const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinShallowPackedVector::CoinShallowPackedVector(CoinPackedVectorBase const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_defaults
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setReducedCost(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::initColsToDo()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_setgtxecho
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_setmode
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::writeMps(char const*, int, int, int, CoinPackedMatrix*, int, CoinSet const*) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_prtvstat
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiRowCut::row() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::isEquivalent(CoinPackedMatrix const&) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_getcol_pk
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_freesoln
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::~OsiSolverInterface()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setCost(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_betak
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getMatrixByCol() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::operator<<(CoinMessageMarker)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::toCompact()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiRowCut::ub() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_abarj
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::readMps(char const*, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::stepRowsToDo()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::operator<<(int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_nme
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_flushio
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setRowActivity(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::rowName(int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::addMessage(int, CoinOneMessage const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::CoinWarmStartBasis(CoinWarmStartBasis const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_primalRays
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_abari
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPostsolveMatrix::~CoinPostsolveMatrix()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinOneMessage::CoinOneMessage(int, char, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinShallowPackedVector::CoinShallowPackedVector(CoinShallowPackedVector const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::~CoinPresolveMatrix()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getObjectiveName() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_outfmt
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::readMps(char const*, char const*, int&, CoinSet**&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_dualRays
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getNumRows() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::CoinWarmStartBasisDiff(CoinWarmStartBasisDiff const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setRowUpper(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::~CoinWarmStartBasis()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_chgnme
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 do_tighten_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::setInfinity(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_checkdefaults
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_chgerrlog
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getRowSense() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::reverseOrderedCopyOf(CoinPackedMatrix const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::~CoinMessages()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::setMatrix(CoinPackedMatrix const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getColUpper() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::CoinWarmStartBasisDiff(CoinWarmStartBasisDiff const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_outchr
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::printing(bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setDualTolerance(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::setMpsData(CoinPackedMatrix const&, double, double const*, double const*, double const*, char const*, double const*, double const*, char const* const*, char const* const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 make_fixed(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::~CoinMpsIO()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setRowColNames(CoinMpsIO const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setColLower(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::~CoinPackedMatrix()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_setprintopts
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 tripleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 slack_doubleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*, bool&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_getrow_pk
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 drop_zero_coefficients(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinOneMessage::~CoinOneMessage()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 doubleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::CoinPackedMatrix()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::setProblemName(char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::operator<<(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::integerColumns() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::assignBasisStatus(int, int, char*&, char*&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_initbasis
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::CoinWarmStartBasis()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_rowDualsGivenC
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::setVariableType(bool, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 forcing_constraint_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPostsolveMatrix::assignPresolveToPostsolve(CoinPresolveMatrix*&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_freebasis
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::operator<<(char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_prtlpret
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_ioterm
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_getOwner
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_openfile
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_delcol
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::~CoinWarmStartBasisDiff()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_addcol_pk
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::CoinWarmStartBasis(int, int, char const*, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setRowLower(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::setColName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::initRowsToDo()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinFinite(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::assignMatrix(bool, int, int, int, double*&, int*&, int*&, int*&, int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedMatrix::CoinPackedMatrix(CoinPackedMatrix const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_attach
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasisDiff::operator=(CoinWarmStartBasisDiff const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_betai
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::columnName(int) const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::applyDiff(CoinWarmStartDiff const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessageHandler::setLogLevel(int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::CoinWarmStartBasis(int, int, char const*, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::operator=(OsiSolverInterface const&)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::setSize(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getColLower() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::resize(int, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::replaceMessage(int, char const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setObjSense(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPackedVectorBase::~CoinPackedVectorBase()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPresolveMatrix::setVariableType(unsigned char const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMessages::CoinMessages(int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 pkvec_free
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setColUpper(double const*, int)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::objectiveOffset() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinWarmStartBasis::numberBasicStructurals() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinMpsIO::getProblemName() const
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 errterm
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_delrow_stable
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 testRedundant(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_isactive
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 consys_addrow_pk
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinPrePostsolveMatrix::setObjOffset(double)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 errinit
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dyio_ioinit
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 OsiSolverInterface::OsiSolverInterface()
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dupcol_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 CoinShallowPackedVector::CoinShallowPackedVector(int, int const*, double const*, bool)
coin-or-DyLP.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiDylp.so.1.8.4 dy_dumpcompact
3 packages and 0 specfiles checked; 0 errors, 253 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-DyLP-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-DyLP(x86-64)
    libDylp.so.1()(64bit)
    libOsiDylp.so.1()(64bit)
    pkgconfig(dylp)
    pkgconfig(osi)

coin-or-DyLP-doc (rpmlib, GLIBC filtered):
    coin-or-DyLP

coin-or-DyLP (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-DyLP-devel:
    coin-or-DyLP-devel
    coin-or-DyLP-devel(x86-64)
    pkgconfig(dylp)
    pkgconfig(osi-dylp)

coin-or-DyLP-doc:
    coin-or-DyLP-doc

coin-or-DyLP:
    coin-or-DyLP
    coin-or-DyLP(x86-64)
    libDylp.so.1()(64bit)
    libOsiDylp.so.1()(64bit)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/DyLP/DyLP-1.9.4.tgz :
  CHECKSUM(SHA256) this package     : 37160e91dc2e0dfb6d7955d3316009d6324ff7c2f3154011087029de816185c8
  CHECKSUM(SHA256) upstream package : 37160e91dc2e0dfb6d7955d3316009d6324ff7c2f3154011087029de816185c8


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894598
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Paulo Andrade 2014-03-28 15:04:45 EDT
New Package SCM Request
=======================
Package Name: coin-or-DyLP
Short Description: Implementation of the dynamic simplex algorithm
Owners: pcpa
Branches: f20
InitialCC:
Comment 7 Jon Ciesla 2014-03-28 15:11:33 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-04-04 19:48:12 EDT
coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20
Comment 9 Fedora Update System 2014-04-05 22:33:49 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-04-15 11:54:44 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.